package at.ac.uibk.gitsearch.service.dto;

import java.io.Serializable;
import java.util.List;

public class ReviewDTO implements Serializable {

    private static final long serialVersionUID = 1388410570088497441L;

    Long id;
    String resource;
    List<String> users;
    List<String> status;
    List<String> comments;

    public ReviewDTO() {}

    public ReviewDTO(Long id, String resource, List<String> users, List<String> status, List<String> comments) {
        this.id = id;
        this.resource = resource;
        this.users = users;
        this.status = status;
        this.comments = comments;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public List<String> getUsers() {
        return users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }

    public List<String> getStatus() {
        return status;
    }

    public void setStatus(List<String> status) {
        this.status = status;
    }

    public List<String> getComments() {
        return comments;
    }

    public void setComments(List<String> comments) {
        this.comments = comments;
    }
}
